View .md

User Sessions endpoints (Admin API)

3 FeatherPanel Admin API endpoints from admin/user-sessions.php: methods, paths, auth, permissions, rate limits, parameters and responses.

Last synced from FeatherPanel 3faf369 on .

On this page

Defined in backend/app/routes/admin/user-sessions.php. Authentication used here: Admin. Read Authentication for how to send credentials and Rate limits and errors for the response envelope.

Paths, methods, permissions and rate limits come from the route file. Summaries, parameters and response codes come from the OpenAPI annotations on the controllers; endpoints without annotations show only what the route file declares.

Endpoints

GET/api/admin/users/{uuid}/sessions

Auth: AdminPermission: admin.users.listRoute name: admin-user-sessionsController: UserSessionsController::indexroute source
ParameterInTypeRequiredDescription
uuidpath-yes
curl -X GET "$PANEL_URL/api/admin/users/$UUID/sessions" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

POST/api/admin/users/{uuid}/sessions/revoke-all

Auth: AdminPermission: admin.users.editRoute name: admin-user-sessions-revoke-allController: UserSessionsController::revokeAllroute source
ParameterInTypeRequiredDescription
uuidpath-yes
curl -X POST "$PANEL_URL/api/admin/users/$UUID/sessions/revoke-all" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

DELETE/api/admin/users/{uuid}/sessions/{id}

Auth: AdminPermission: admin.users.editRoute name: admin-user-session-revokeController: UserSessionsController::revokeroute source
ParameterInTypeRequiredDescription
uuidpath-yes
idpath-yes
curl -X DELETE "$PANEL_URL/api/admin/users/$UUID/sessions/$ID" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"